package com.weavi.ahh_v2.service.impl;

import com.weavi.ahh_v2.domain.UserInfo;
import com.weavi.ahh_v2.repository.UserRepository;
import com.weavi.ahh_v2.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @auther jiangzuole
 * @date 2019-05-27
 * @time 15:58
 */
@Service
public class UserServiceImpl implements UserService {

    @Autowired
    private UserRepository userRepository;

    @Override
    public UserInfo findByUsername(String userName) {
        return userRepository.findByUserName(userName);
    }

    @Override
    public UserInfo findByNickname(String nickName) {
        return userRepository.findByNickName(nickName);
    }

    @Override
    public UserInfo findByPhoneAndSource(Integer phone, String signAddress) {
        return userRepository.findByPhoneAndSignAddress(phone,signAddress);
    }

    @Override
    public UserInfo findByNicknameAndSource(String nickName, String signAddress) {
        return userRepository.findByNickNameAndSignAddress(nickName,signAddress);
    }

    @Override
    public UserInfo findByIdAndDeleted(Integer id, Integer deleted) {
        return userRepository.findByIdAndDeleted(id,deleted);
    }

    @Override
    public List<UserInfo> findBySource(String signAddress) {
        return userRepository.findBySignAddress(signAddress);
    }

    @Override
    public UserInfo findById(Integer id) {
        return userRepository.findById(id).get();
    }
}
